Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The CCux Linux default Console Bootsplash.
Name: 		ccux-bootsplash
Version: 	1.0
Release: 	2
Epoch:		1
License: 	GPL
Source216:	640x480.cfg
Source200:	800x600.cfg
Source201:	1024x768.cfg
Source202:	1280x800.cfg
Source203:	1280x1024.cfg
Source204:	1400x1050.cfg
Source217:	1440x900.cfg
Source205:	1600x1200.cfg
Source206:	1680x1050.cfg
Source215:	1920x1200.cfg
Source218:	2560x1600.cfg
Source219:	verbose-640x480.jpg
Source207:	verbose-800x600.jpg
Source208:	verbose-1024x768.jpg
Source209:	verbose-1280x800.jpg
Source210:	verbose-1280x1024.jpg
Source211:	verbose-1400x1050.jpg
Source222:	verbose-1440x900.jpg
Source212:	verbose-1600x1200.jpg
Source213:	verbose-1680x1050.jpg
Source214:	verbose-1920x1200.jpg
Source223:	verbose-2560x1600.jpg
Source224:	silent-640x480.jpg
Source225:	silent-800x600.jpg
Source226:	silent-1024x768.jpg
Source227:	silent-1280x800.jpg
Source228:	silent-1280x1024.jpg
Source229:	silent-1400x1050.jpg
Source230:	silent-1440x900.jpg
Source231:	silent-1600x1200.jpg
Source232:	silent-1680x1050.jpg
Source233:	silent-1920x1200.jpg
Source234:	silent-2560x1600.jpg
Source220:	luxisri.ttf
Source221:	splash.sysconfig
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	noarch
Requires:	splashutils >= 1.5.4.2
Requires:	ccux-geninitramfs >= 0.0.13

%description
The CCux Linux default console splash.

Following Resolutions are supported now:

640x480
800x600
1024x768
1280x800
1280x1024
1400x1050
1440x900
1600x1200
1680x1050
1920x1200
2560x1600

%post
ccux-geninitramfs -f -k `uname -r` > /dev/null || :

%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig

install -m 644 %{SOURCE200} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE201} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE202} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE203} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE204} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE205} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE206} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE215} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE216} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE217} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/
install -m 644 %{SOURCE218} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/

install -m 644 %{SOURCE207} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE208} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE209} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE210} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE211} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE212} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE213} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE214} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE219} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE222} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE223} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images

install -m 644 %{SOURCE224} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE225} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE226} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE227} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE228} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE229} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE230} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE231} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE232} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE233} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images
install -m 644 %{SOURCE234} $RPM_BUILD_ROOT%_sysconfdir/splash/ccux-1.0/images

install -m 644 %{SOURCE220} $RPM_BUILD_ROOT%_sysconfdir/splash/
install -m 644 %{SOURCE221} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/splash

%files
%defattr(-,root,root)
%_sysconfdir/splash/luxisri.ttf
%_sysconfdir/splash/ccux-1.0/*.cfg
%_sysconfdir/splash/ccux-1.0/images/*.jpg
%config %_sysconfdir/sysconfig/splash

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 27 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-2
- fix config files to have correct file / version path
* Tue May 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-1
- bump to release version
* Wed May 20 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-7
- progressbar color and settings
- fixes bug #0000014
* Wed May 20 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-6
- add progressbar background
* Mon May 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-5
- modify sysconfig ( enable text messages )
* Mon May 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-4
- add silent splashes again
- new resolutions ( 640x480,1440x900,2560x1600)
- add post script to update initramfs
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-3
- modified spec to sources from 200-299 to match checkin_spec
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-2
- added 1920x1200 as resolution 
- some bugfixes in config files
* Thu Oct 23 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-1
- Version update, changed versioning scheme
- added resolutions, for now only verbose splash
* Mon Feb 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-2
- Modified description, added Require, fixed bug #0000098
* Thu Feb 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- new bootsplash, srpm
* Mon Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- rebuilt